#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main(int argc, char *argv[])
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    ll n,m;
    cin >> n >> m;
    vector<pair<ll,ll>>V(n);
    for(ll i=0;i<n;i++)
    {
        cin >> V[i].first >> V[i].second;
    }
    while(m--)
    {
        ll l,r,x,b=0;
        cin >> l >> r >> x;
        l--;r--;
        for(ll i=l;i<=r;i++)
        {
            if(V[i].first<=x&&V[i].second>=x) b++;
        }
        cout << b << endl;
    }
}